---
lang: en
title: 'API docs: core.extensionfilter'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/core
permalink: /doc/en/lb4/apidocs.core.extensionfilter.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [extensionFilter](./core.extensionfilter.md)

## extensionFilter() function

A factory function to create binding filter for extensions of a named extension point

**Signature:**

```typescript
export declare function extensionFilter(...extensionPointNames: string[]): BindingFilter;
```

## Parameters

<table><thead><tr><th>

Parameter


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

extensionPointNames


</td><td>

string\[\]


</td><td>

A list of names of extension points


</td></tr>
</tbody></table>

**Returns:**

[BindingFilter](./context.bindingfilter.md)


